Bug 1563149 - highlight: Partial Fedora build flags injection [NEEDINFO]
Summary: highlight: Partial Fedora build flags injection
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: highlight
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: Fedora28BuildFlags
TreeView+ depends on / blocked
 
Reported: 2018-04-03 09:32 UTC by Florian Weimer
Modified: 2018-11-14 03:23 UTC (History)
5 users (show)

Fixed In Version: highlight-3.47-1.fc27 highlight-3.47-1.fc29 highlight-3.47-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-14 02:55:34 UTC
rosset.filipe: needinfo? (rosset.filipe)


Attachments (Terms of Use)
spec patch (1.38 KB, patch)
2018-09-19 09:36 UTC, Milan Crha
no flags Details | Diff

Description Florian Weimer 2018-04-03 09:32:49 UTC
/usr/bin/highlight-gui in highlight-gui-3.42-1.fc28.x86_64 has not been built with the standard Fedora build flags (LDFLAGS) from redhat-rpm-config.

CFLAGS are missing:

g++ -c -pipe -std=c++11 -O2 -Wall -W -D_REENTRANT -fPIC -DDATA_DIR=\"/usr/share/highlight/\" -DCONFIG_DIR=\"/etc/highlight/\" -DDOC_DIR=\"/usr/share/doc/highlight/\" -DO2 -DQT -DDATA_DIR=\"/usr/share/highlight/\" -DCONFIG_DIR=\"/etc/highlight/\" -DDOC_DIR=\"/usr/share/doc/highlight/\" -DQT_NO_DEBUG -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -I. -I. -I../include -isystem /usr/include/qt5 -isystem /usr/include/qt5/QtWidgets -isystem /usr/include/qt5/QtGui -isystem /usr/include/qt5/QtCore -I. -isystem /usr/include/libdrm -I. -I/usr/lib64/qt5/mkspecs/linux-g++ -o moc_showtextfile.o moc_showtextfile.cpp

And LDFLAGS are missing:

g++ -Wl,-O1 -o ../highlight-gui main.o mainwindow.o io_report.o showtextfile.o syntax_chooser.o qrc_highlight-gui.o moc_mainwindow.o moc_io_report.o moc_showtextfile.o moc_syntax_chooser.o   -L.. -lhighlight -llua -lm -ldl -lQt5Widgets -lQt5Gui -lQt5Core -lGL -lpthread 

This appears to be an issue with passing down the build flags to the internal qmake invocation.

Comment 1 Milan Crha 2018-09-19 09:36:09 UTC
Created attachment 1484636 [details]
spec patch

As Florian said, the qmake invocation from the project's makefile doesn't use the QMAKE variables for some reason. I do not know what the right fix is, but the attached change made it work for me.

Comment 2 Filipe Rosset 2018-09-19 14:45:50 UTC
great, thanks, I'll handle this patch soon and send to upstream also.

Comment 3 Fedora Update System 2018-10-27 03:34:53 UTC
highlight-3.47-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6435f89651

Comment 4 Fedora Update System 2018-10-27 03:35:06 UTC
highlight-3.47-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-845c2b9bc6

Comment 5 Fedora Update System 2018-10-27 03:35:18 UTC
highlight-3.47-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-210c4be57e

Comment 6 Fedora Update System 2018-10-27 15:35:32 UTC
highlight-3.47-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-210c4be57e

Comment 7 Fedora Update System 2018-10-27 17:49:22 UTC
highlight-3.47-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-845c2b9bc6

Comment 8 Fedora Update System 2018-10-31 18:49:58 UTC
highlight-3.47-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6435f89651

Comment 9 Fedora Update System 2018-11-14 02:55:34 UTC
highlight-3.47-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-11-14 03:12:02 UTC
highlight-3.47-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-11-14 03:23:36 UTC
highlight-3.47-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.